#include<bits/stdc++.h>
using namespace std;

long long lt[30],mod;
int n,pom;
char ch;

int main() {
	scanf("%d",&n);
	scanf("%c",&ch);
	mod=1000000007;
	
	for (int i=1;i<=n;i++) {
		scanf("%c",&ch);
		pom=((int)ch)-64;
		
		if (pom==1) {lt[1]=(lt[1]+1)%mod; continue;}
		if (lt[pom-1]==0) continue;
		lt[pom]=(lt[pom]+lt[pom-1])%mod;
	}
	
	printf("%lld",lt[26]);
}